
-- DROP TABLE oneit_sec_user_extension;



CREATE TABLE oneit_sec_user_extension (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    , object_type varchar(30) NOT NULL ,
    phone varchar(30) NULL,
    forgot_password_mail_send_date datetime NULL,
    forgot_password_key varchar(10) NULL,
    verification_mail_send_date datetime NULL,
    verification_key varchar(10) NULL,
    is_account_verified char(1) NULL,
    is_password_changed char(1) NULL,
    google_address_text varchar(300) NULL,
    is_email_ingest char(1) NULL,
    is_masked_email char(1) NULL,
    known_as_alias varchar(100) NULL,
    test_input_id numeric(12)  NULL,
    user_id numeric(12)  NULL
    );



ALTER TABLE oneit_sec_user_extension ADD    
    CONSTRAINT PK_oneit_sec_user_extension PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_oneit_sec_user_extension_test_input_id 
    ON oneit_sec_user_extension (test_input_id);

    CREATE INDEX idx_oneit_sec_user_extension_user_id 
    ON oneit_sec_user_extension (user_id);
